#include <iostream>
#include <string>

using namespace std;

int main() {
	unsigned long long int a, b, c;		// Brojevi
	cin >> a >> b >> c;					// Unos
	////////////////////////////////////////////////////////////////////////////////////
	unsigned long long int a1=a, b1=b, c1=c;	// Prve cifre brojeva
	unsigned long long int prviBroj, drugiBroj, treciBroj; // Brojevi storage
	unsigned long long int broj1, broj2, broj3; // Brojevi po redu
	int drugiBrojCifra, treciBrojCifra; // Cifre za drugu proveru
	///////////////////////////////////////////////////////////////////////////////////
	if (a > 9)while (a1 > 9)a1 = a1 / 10;	//
	if (b > 9)while (b1 > 9)b1 = b1 / 10;	// Dobijanje prvih cifara brojeva
	if (c > 9)while (c1 > 9)c1 = c1 / 10;	//
	////////////////////////////////////////////////////////////////////////////////////
	int max = a1;		
	prviBroj = a;		
	broj1 = a;
	broj2 = b;
	broj3 = c;
	drugiBrojCifra = b1;
	treciBrojCifra = c1;
	if (b1 > max) {		
		max = b1;		
		prviBroj = b;	
		broj1 = b;
		broj2 = a;
		drugiBrojCifra = a1;
		treciBrojCifra = c1;
	}				
	if (c1 > max) {		
		max = c1;		
		prviBroj = c;	
		broj1 = c;
		broj3 = a;
		drugiBrojCifra = b1;
		treciBrojCifra = a1;
	}	
	if (max == a1 && a > prviBroj) {
		max = a1;
		prviBroj = a;
		broj1 = a;
		broj2 = b;
		broj3 = c;
		drugiBrojCifra = b1;
		treciBrojCifra = c1;
	}
	if (max == b1 && b > prviBroj) {
		max = b1;
		prviBroj = b;
		broj1 = b;
		broj2 = a;
		drugiBrojCifra = a1;
		treciBrojCifra = c1;
	}
	if (max == c1 && c > prviBroj) {
		max = c1;
		prviBroj = c;
		broj1 = c;
		broj3 = a;
		drugiBrojCifra = b1;
		treciBrojCifra = a1;
	}
//////////////////////////////////////////////////////////////////////////////////////	
	if (drugiBrojCifra == treciBrojCifra) {
		if (broj2 >= broj3) {
			drugiBroj = broj2;
			treciBroj = broj3;
		}
		if (broj3 >= broj2) {
			drugiBroj = broj3;
			treciBroj = broj2;
		}
	}
	if (drugiBrojCifra > treciBrojCifra) {
		drugiBroj = broj2;
		treciBroj = broj3;
	}
	if (treciBrojCifra > drugiBrojCifra) {
		drugiBroj = broj3;
		treciBroj = broj2;
	}
///////////////////////////////////////////////////////////////////////////////////////
	cout << prviBroj << drugiBroj << treciBroj << endl;
	return 0;

}